function getCookie( name ) { 
	var re = new RegExp( name + "=[^;]+", "i" );
	if ( document.cookie.match(re) )
		return document.cookie.match(re)[0].split( "=" )[1];
	return null;
}

function setCookie( name, value, days ) {
	var expireDate = new Date();
	var expstring = ( typeof days != "undefined" ) ? expireDate.setDate( expireDate.getDate() + parseInt( days ) ) : expireDate.setDate( expireDate.getDate() - 5 );
	document.cookie = name + "=" + value + "; expires=" + expireDate.toGMTString() + "; path=/";
}

function deleteCookie( name ){
	setCookie( name, "", -1);
}