var manual_or_random = "manual";
var randomsetting = "3 days";
var cookie_mysheet = blogId+'_'+'mysheet';
var cookie_mysheet_s = blogId+'_'+'mysheet_s';
var cookie_mysheet_r = blogId+'_'+'mysheet_r';
var cookie_mysheet_r_days = blogId+'_'+'mysheet_r_days';

function setStylesheet( title, randomize )
{
	var i, cacheobj, altsheets = [""];
	for( i=0; ( cacheobj = document.getElementsByTagName( "link" )[i] ); i++ )
	{
		if( cacheobj.getAttribute("rel").toLowerCase() == "alternate stylesheet" && cacheobj.getAttribute("title") ) 
		{
			cacheobj.disabled = true;
			altsheets.push(cacheobj);
			if(cacheobj.getAttribute("title") == title)
				cacheobj.disabled = false;
		}
	}

	if ( typeof randomize != "undefined" )
	{
		var randomnumber = Math.floor( Math.random()*altsheets.length );
		altsheets[randomnumber].disabled = false;
	}
	return ( typeof randomize!="undefined" && altsheets[randomnumber] != "" ) ?  altsheets[randomnumber].getAttribute( "title" ) : "";
}

function chooseStyle( styletitle, days )
{
	if ( document.getElementById ){
		setStylesheet( styletitle );
		setCookie( cookie_mysheet, styletitle, days );
	}
}

function indicateSelected( element )
{
	if ( selectedtitle != null && ( element.type==undefined || element.type=="select-one" ) )
	{
		var element = ( element.type == "select-one" ) ? element.options : element;
		for ( var i=0; i<element.length; i++ )
		{
			if ( element[i].value==selectedtitle ){
				if ( element[i].tagName == "OPTION" )
					element[i].selected = true;
				else
					element[i].checked = true;
				break;
			}
		}
	}
}

if ( manual_or_random=="manual" )
{
	var selectedtitle = getCookie( cookie_mysheet );
	if ( document.getElementById && selectedtitle != null );
		setStylesheet(selectedtitle);
}
else if ( manual_or_random == "random" )
{
	if ( randomsetting == "eachtime" )
		setStylesheet( "", "random" );
	else if ( randomsetting == "sessiononly" )
	{
		if ( getCookie( cookie_mysheet_s ) == null )
			document.cookie = cookie_mysheet_s + "=" + setStylesheet("", "random") + "; path=/";
		else
			setStylesheet( getCookie( cookie_mysheet_s ) );
	}
else if ( randomsetting.search( /^[1-9]+ days/i ) != -1 )
{
	if ( getCookie( cookie_mysheet_r ) == null || parseInt( getCookie( cookie_mysheet_r_days ) ) != parseInt(randomsetting))
	{
		setCookie( cookie_mysheet_r, setStylesheet( "", "random" ), parseInt( randomsetting ) );
		setCookie( cookie_mysheet_r_days, randomsetting, parseInt( randomsetting ) );
	}
	else
		setStylesheet( getCookie( cookie_mysheet_r ) );
	} 
}